﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Dialogs2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            this.Text = System.Configuration.ConfigurationManager.AppSettings["formTitle"];
            InitializeComponent();
            // nacitani konfigurace z nastaveni
            colorDialog1.Color = Properties.Settings.Default.color;
            fontDialog1.Font = Properties.Settings.Default.font;
            folderBrowserDialog1.SelectedPath = Properties.Settings.Default.folder;
            
        }

        private void openFileToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                RichTextBoxStreamType t = RichTextBoxStreamType.RichText;
                if(System.IO.Path.GetExtension(openFileDialog1.FileName).ToLower() == ".txt") t = RichTextBoxStreamType.PlainText;
                richTextBox1.LoadFile(openFileDialog1.OpenFile(), t);
            }
        }

        private void saveFileToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (saveFileDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                richTextBox1.SaveFile(saveFileDialog1.FileName, RichTextBoxStreamType.RichText);
            }
        }

        private void selectDefaultDirectoryToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (folderBrowserDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                openFileDialog1.InitialDirectory = folderBrowserDialog1.SelectedPath;
                saveFileDialog1.InitialDirectory = folderBrowserDialog1.SelectedPath;
                // ukladani nastaveni
                Properties.Settings.Default.folder = folderBrowserDialog1.SelectedPath;
            }
        }

        private void setColorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (colorDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                richTextBox1.SelectionColor = colorDialog1.Color;

                Properties.Settings.Default.color = colorDialog1.Color;
            }
        }

        private void setFontToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (fontDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                richTextBox1.SelectionFont = fontDialog1.Font;
                Properties.Settings.Default.font = fontDialog1.Font;
            }
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            // ulozeni nastaveni
            Properties.Settings.Default.Save();
        }
    }
}
